Get an event by ID
https://api.propexo.com/v1/events/:event_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the event
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
2850203The external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
3299The external ID of the leasing agent from the integration vendor
This field will always be null for YARDI_REST
nullThe external ID of the type from the integration vendor
This field will always be null for YARDI_REST
nullThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for YARDI_REST
nullThe name of the event
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
CallFromProspectThe datetime that the event occurred
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
2026-06-22T00:00:00.000ZThe datetime that the event appointment occurred
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
2024-09-04T04:35:00.000ZThe type of event
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
CallFromProspectNotes associated with the event
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
First ContactThe name of the agent associated with the event
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
Craig SmithReasons that the event occurred
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/GetYardiGuestActivity |
First ContactThe lead IDs associated with the event
This field is not currently hydrated for YARDI_REST
The applicant IDs associated with the event
This field is not currently hydrated for YARDI_REST
The resident IDs associated with the event
This field is not currently hydrated for YARDI_REST
The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
YARDI_RESTAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/events/:event_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "2850203",
"x_property_id": "3299",
"x_leasing_agent_id": null,
"x_type_id": null,
"x_location_id": null,
"event_name": "CallFromProspect",
"event_datetime": "2026-06-22T00:00:00.000Z",
"appointment_datetime": "2024-09-04T04:35:00.000Z",
"type_raw": "CallFromProspect",
"notes": "First Contact",
"agent_name": "Craig Smith",
"reasons_for_event": "First Contact",
"associated_lead_ids": "Unknown Type: array,null",
"associated_applicant_ids": "Unknown Type: array,null",
"associated_resident_ids": "Unknown Type: array,null",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI_REST",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}